Debian Bug report logs - #632564
ufsutils: FTBFS with ld --as-needed

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: Ilya Barygin <barygin@gmail.com>

Date: Sun, 3 Jul 2011 15:24:01 UTC

Severity: normal

Tags: patch, upstream

Found in version ufsutils/8.2-1

Fixed in version ufsutils/8.2-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, barygin@gmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#632564; Package ufsutils. (Sun, 03 Jul 2011 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
New Bug report received and forwarded. Copy sent to barygin@gmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 03 Jul 2011 15:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ufsutils: FTBFS with ld --as-needed
Date: Sun, 03 Jul 2011 19:21:08 +0400
[Message part 1 (text/plain, inline)]
Package: ufsutils
Version: 8.2-1
Severity: normal
Tags: upstream patch
User: debian-gcc@lists.debian.org
Usertags: ld-as-needed

The package fails to build when --as-needed linker option is enabled,
because of incorrect order of parameters passed to ld. Here's a log of
failed build in Ubuntu:
https://launchpadlibrarian.net/72730295/buildlog_ubuntu-oneiric-i386.ufsutils_8.2-1_FAILEDTOBUILD.txt.gz

See also
http://wiki.debian.org/ToolChain/DSOLinking#Only_link_with_needed_libraries

The attached patch was used in Ubuntu to fix the problem.
https://launchpad.net/ubuntu/+source/ufsutils/8.2-1ubuntu1

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric
  APT policy: (500, 'oneiric')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-10-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[04_as-needed.patch (text/plain, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 23 Jul 2011 17:51:06 GMT) Full text and rfc822 format available.

Notification sent to Ilya Barygin <barygin@gmail.com>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 17:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 632564-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 632564-close@bugs.debian.org
Subject: Bug#632564: fixed in ufsutils 8.2-2
Date: Sat, 23 Jul 2011 17:49:17 +0000
Source: ufsutils
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

ufsutils_8.2-2.debian.tar.gz
  to main/u/ufsutils/ufsutils_8.2-2.debian.tar.gz
ufsutils_8.2-2.dsc
  to main/u/ufsutils/ufsutils_8.2-2.dsc
ufsutils_8.2-2_amd64.deb
  to main/u/ufsutils/ufsutils_8.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632564@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jul 2011 19:28:17 +0200
Source: ufsutils
Binary: ufsutils ufsutils-udeb
Architecture: source amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 ufsutils   - UFS filesystems utilities
 ufsutils-udeb - stripped-down versions of ufsutils, for debian-installer (udeb)
Closes: 526586 632564 634158
Changes: 
 ufsutils (8.2-2) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Fix 01_libufs.patch to correctly character or block devices.  Closes:
     #526586, #634158.
   * Fix 02_fsdb.ufs.patch to make ufsutils buildable with --as-needed.
     Closes: #632564.
Checksums-Sha1: 
 bfd0b4b3f04a7373e17d2c17ba3328e3024e70d3 1285 ufsutils_8.2-2.dsc
 7048c6d0a2bc6335fdc854e77b65eac11fa8e739 21020 ufsutils_8.2-2.debian.tar.gz
 460175dd9cac2087dde3e46cc5d85fd408ad4f2a 158954 ufsutils_8.2-2_amd64.deb
Checksums-Sha256: 
 0583c6981181f891809a8981691887d187980b587c2ab4fc6215da2f8e029208 1285 ufsutils_8.2-2.dsc
 d138cb5f550403e7aa2cf812e6b870af08a11f6575e2b46b6787807075f2b920 21020 ufsutils_8.2-2.debian.tar.gz
 f3b823a2f5582e117bda58f220c7d58e6869eaf375c7905639414d743e72e51f 158954 ufsutils_8.2-2_amd64.deb
Files: 
 10376606246f484f2f20227e98867af9 1285 utils optional ufsutils_8.2-2.dsc
 73e118f5b6903ff0009acc8969b54802 21020 utils optional ufsutils_8.2-2.debian.tar.gz
 d167f69e9f6c09e0baef7f73a2aed476 158954 utils optional ufsutils_8.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOKwWGw3ao2vG823MRAkyIAJ4hPFfLYxen/w2hnVpzqHAnJx5UyQCdFonv
2B90f7tmHSEn+Ej+oQklQYE=
=yuni
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Aug 2011 07:35:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:50:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.